C ESA (C) 2000-2018 
C
C This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
C
C    SAS is free software: you can redistribute it and/or modify
C    it under the terms of the GNU General Public License as published by
C    the Free Software Foundation, either version 3 of the License, or
C    (at your option) any later version.
C
C    SAS is distributed in the hope that it will be useful,
C    but WITHOUT ANY WARRANTY; without even the implied warranty of
C    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
C    GNU General Public License for more details.
C
C    You should have received a copy of the GNU General Public License
C    along with SAS.  If not, see <http://www.gnu.org/licenses/>.

! Offset cumulative distribution for normal law
! Call with negative x sets epsilon to abs(x)

      real function gaussCvf(x)

      implicit none
      real x, epsilon, erfc
      save epsilon
      data epsilon /0./

      if (x .lt. 0) then
         epsilon = - x
         gaussCvf = 0.
      else
         gaussCvf = 0.5 * erfc(x/sqrt(2.)) - epsilon
      endif

      end
