! ESA (C) 2000-2018 
!
! This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
!
!    SAS is free software: you can redistribute it and/or modify
!    it under the terms of the GNU General Public License as published by
!    the Free Software Foundation, either version 3 of the License, or
!    (at your option) any later version.
!
!    SAS is distributed in the hope that it will be useful,
!    but WITHOUT ANY WARRANTY; without even the implied warranty of
!    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
!    GNU General Public License for more details.
!
!    You should have received a copy of the GNU General Public License
!    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
!
!   test f90 I/F to calmosalgo library
!
program calmosalgotest
use cal
use cal_mos
use dal

implicit none

    real(single), dimension(0:0)       :: e1 = (/100./)
    integer(kind=int16), dimension(0:0):: e2 = (/200/),&
                                          e3 = (/300/),&
                                          e4 = (/400/)
    real(single), dimension(0:0)       :: bkg = (/99./)
    integer(kind=int8), dimension(0:0) :: patt = (/0/), &
                                          peripix = (/20/)
    integer(kind=int32), dimension(0:0):: flag = (/0/)
    real(kind=single), dimension(:), pointer :: pha => null()


    call CAL_mosPhaBuild(e1, e2, patt, pha, bkg, e3, e4, peripix, flag)
    write(*, *) pha(0)
    call CAL_releaseMemory(pha)

end program
